import { OnDestroy, OnInit } from '@angular/core';
import { OpenapiAuthService } from '../services/openapi-auth.service';
import { SecuritySchemeItem } from '../models/openapi-viewer.model';
import { ActivatedRoute } from '@angular/router';
export declare class AuthenticationViewComponent implements OnInit, OnDestroy {
    private authService;
    private route;
    schemes: SecuritySchemeItem[];
    private sub;
    constructor(authService: OpenapiAuthService, route: ActivatedRoute);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
