import { OnInit } from '@angular/core';
import { OpenapiViewerService } from '../services/openapi-viewer.service';
import { OavRequest } from '../models/openapi-viewer.model';
export declare class RequestsListComponent implements OnInit {
    private openApiService;
    openRequests: Set<unknown>;
    requests: OavRequest[];
    constructor(openApiService: OpenapiViewerService);
    ngOnInit(): void;
    openRequest: OavRequest;
    toggleRequest(req: OavRequest, state: boolean): void;
    getShortUrl(req: OavRequest): string;
    removeRequest(req: OavRequest): void;
}
