import { EventEmitter, OnChanges, OnDestroy, QueryList, SimpleChanges, TemplateRef } from '@angular/core';
import { TabNavItemDirective } from './tab-nav-item.directive';
export declare class TabNavComponent implements OnDestroy, OnChanges {
    tabs: TabNavItemDirective[];
    tabChange: EventEmitter<string>;
    tab: string;
    tabContent: TemplateRef<any>;
    private destroy;
    constructor();
    tabList: QueryList<TabNavItemDirective>;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private checkForActiveTab;
    private getTabById;
    showTab(id: string, notify?: boolean): void;
}
