import { ElementRef, OnDestroy, ViewContainerRef } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { CdkPortal } from '@angular/cdk/portal';
export declare class TooltipDirective implements OnDestroy {
    private overlay;
    private elementRef;
    private viewContainer;
    oavTooltip: CdkPortal;
    private overlayRef;
    private fixed;
    constructor(overlay: Overlay, elementRef: ElementRef, viewContainer: ViewContainerRef);
    onClick(e: MouseEvent): void;
    onMouseEnter(e: MouseEvent): void;
    onMouseLeave(e: MouseEvent): void;
    onWindowClick(): void;
    ngOnDestroy(): void;
    open(): void;
    close(): void;
}
