import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { TagIndex } from '../models/openapi-viewer.model';
import { Router } from '@angular/router';
import { OavSettings } from '../models/openapi-viewer.settings';
export declare class IndexNavComponent implements OnInit, OnDestroy {
    private router;
    private oavSettings;
    private cd;
    openTags: Set<string>;
    index: TagIndex[];
    showHoverLabel: boolean;
    showAuthentication: boolean;
    showModelsOverview: boolean;
    private sub;
    constructor(router: Router, oavSettings: OavSettings, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    checkOpenTags(url: string): void;
}
